com.fasterxml.jackson.dataformat.smile

## Class Tool

- java.lang.Object
- - com.fasterxml.jackson.dataformat.smile.Tool

    public class Tool
    extends Object

Simple command-line utility that can be used to encode JSON as Smile, or decode JSON from Smile: direction is indicated by single command-line option of either "-e" (encode) or "-d" (decode).

### Field Summary

Fields
`com.fasterxml.jackson.core.JsonFactory` `jsonFactory`
`SmileFactory` `smileFactory`

### Constructor Summary

Constructors
Constructor and Description
`Tool()`

### Method Summary

Methods
`static void` `main(String[] args)`
`protected void` `showUsage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### jsonFactory

    public final com.fasterxml.jackson.core.JsonFactory jsonFactory

#### smileFactory

    public final SmileFactory smileFactory

### Constructor Detail

#### Tool

    public Tool()

### Method Detail

#### showUsage

    protected void showUsage()

#### main

    public static void main(String[] args)
                     throws IOException

Throws:
  `IOException`